## cascading.tuple.hadoop.util
Class HasherPartitioner

    java.lang.Object
      cascading.tuple.util.TupleHasher
          cascading.tuple.hadoop.util.HasherPartitioner

All Implemented Interfaces:
  Serializable, JobConfigurable

Direct Known Subclasses:
  CoGroupingPartitioner, GroupingPartitioner, GroupingSortingPartitioner

    public class HasherPartitioner

extends TupleHasher
implements JobConfigurable

See Also:
  Serialized Form

Constructor Summary
`HasherPartitioner()`

Method Summary
`void` `configure(JobConf jobConf)`

Methods inherited from class cascading.tuple.util.TupleHasher
`hashCode, initialize, isNull, merge, wrapTuple`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HasherPartitioner

    public HasherPartitioner()

Method Detail

### configure

    public void configure(JobConf jobConf)

  Specified by:
    `configure` in interface `JobConfigurable`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.